Package org.apache.tools.ant.util

# Class SecurityManagerUtil

java.lang.Object
org.apache.tools.ant.util.SecurityManagerUtil

public final class SecurityManagerUtil extends Object

Since:
  Ant 1.10.14

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SecurityManagerUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `isSetSecurityManagerAllowed()`
  Returns true if `SecurityManager` usage is allowed in current Java runtime. false otherwise.
  `static boolean`
  `warnOnSecurityManagerUsage(Project project)`
  Returns true if `SecurityManager` usage should only be logged as a warning. false otherwise.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SecurityManagerUtil

    public SecurityManagerUtil()

- ## Method Details

  - ### isSetSecurityManagerAllowed

    public static boolean isSetSecurityManagerAllowed()
    Returns true if `SecurityManager` usage is allowed in current Java runtime. false otherwise.
    Returns:
      true if `SecurityManager` usage is allowed in current Java runtime. false otherwise

  - ### warnOnSecurityManagerUsage

    public static boolean warnOnSecurityManagerUsage(Project project)
    Returns true if `SecurityManager` usage should only be logged as a warning. false otherwise.
    Returns:
      true if `SecurityManager` usage should only be logged as a warning. false otherwise